Bug 1413103 - Service dialogs items(tabs/boxes/elements) can be saved even when it doesn't fulfill requirements
Summary: Service dialogs items(tabs/boxes/elements) can be saved even when it doesn't ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard: service:dialog
Depends On: 1396583
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 16:00 UTC by Satoe Imaishi
Modified: 2017-02-27 19:22 UTC (History)
5 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1396583
Environment:
Last Closed: 2017-02-27 19:22:30 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-13 16:40:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/d44019561e13fe9e5ff1043bed6701834d5462cc

commit d44019561e13fe9e5ff1043bed6701834d5462cc
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Jan 6 14:04:54 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 13 11:04:16 2017 -0500

    Merge pull request #91 from h-kataria/service_dialog_fix
    
    Validate dialog children while edit is in progress
    (cherry picked from commit d20dcfe0f22531073e99e2ea51efa88165e6a0af)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1413103

 .../miq_ae_customization_controller/dialogs.rb     | 17 +++++--
 .../dialogs_spec.rb                                | 57 ++++++++++++++++++++++
 2 files changed, 70 insertions(+), 4 deletions(-)

Comment 3 Shveta 2017-01-25 21:07:57 UTC
Fixed.
verified in 5.7.1.0.20170124142149_8a5f4d5

Comment 5 errata-xmlrpc 2017-02-27 19:22:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.